## ikvm 0.46.0.1+ds

=== debian/changelog ===
ikvm (0.46.0.1+ds-5) unstable; urgency=low

  [ Iain Lane ]
  * [cc291a9] No need to uu{en,de}code with 3.0 (quilt); drop this
  * [5447e44] Fix Vcs-Browser URL

  [ Jo Shields ]
  * [b7ec5c7] Clean up rules, and use --with rather than deprecated cli.make

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 14:27:21 +0000

ikvm (0.46.0.1+ds-4) unstable; urgency=low

  * [bd6e60c] Reintroduce signing of builds, for GACability.
  * [e694acb] Install IKVM libraries to the GAC.

 -- Jo Shields <directhex@apebox.org>  Sat, 06 Aug 2011 13:13:20 +0100

ikvm (0.46.0.1+ds-3) unstable; urgency=low

  * [9a1252d] Move glib build-dep as well, since it's used for the .so.
  * [c1edce3] Fix Arch/Indep split again. For real, this time. No more FTBFS.

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jul 2011 02:01:07 +0100

ikvm (0.46.0.1+ds-2) unstable; urgency=low

  * [85e6685] Move cli-common-dev to Build-Depends, not B-D-I. Prevents FTBFS.

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jul 2011 00:49:33 +0100

ikvm (0.46.0.1+ds-1) unstable; urgency=low

  * [3790281] initial upstream branch
  * [275caa3] Add explicit build-depends on libglib-dev.
  * [491d57f] Imported Upstream version 0.46.0.1+ds
  * [23e23b1] Update build-dependencies for the last transition. Whoops.
  * [47010df] Refresh Vcs-* fields.
  * [2da3694] Bump Debian Standards version to 3.9.2.
  * [48f2886] Update debian/watch to use Debian redirector.
  * [8520086] Refresh get-orig-source rule for crap-free upstream tarball.
  * [4521f1a] Move from standalone Quilt to DebSrc 3.0 (quilt).
  * [fca7bbe] Include specialist cli-nant.make from cli-common-dev.
  * [266fca1] Bump ABI and API versions, for packaging metadata.
  * [9f10b32] Bump debhelper build-dep, for override_* powers.
  * [f5cc8e6] Refresh ikvm pkgconfig file for latest libs.
  * [f45584d] Massively rewrite rules file, using DH7 semantics.
  * [77bc433] Delete 04-decouple_arch_build_from_indep.patch (now obsolete).
  * [71bd418] Delete 05-produce-rmi-at-compile-time.patch (now obsolete).
  * [b10be78] Refreshed 01-use_system_SharpZipLib.patch.
  * [ba573ac] Add a master DH7 rule.
  * [e9a25c0] Don't blow away ALL .jar files - some have needed bare 
    manifests.
  * [c853561] Add empty dh_auto_build_nant rule, as ikvm.build is not in 
    $CURDIR.
  * [2ce05f8] Include both cli.make and cli-nant.make. They're not exclusive.
  * [2d3a12a] Exclude Fusion moduleref - this lib is only used on MS.NET on 
    Win32.
  * [83e244f] Exclude moduleref for winspool.drv. Obviously not for us.
  * [f727f77] Hardcode some assembly locations, as upstream expects libs & 
    compiler in the same folder.
  * [868cddd] Remove traces of IKVM being in the GAC. It's not a GAC lib 
    package, and the GAC was only ever a convenience with side-effects.
  * [3adc876] Don't let the native .so file go into the IKVM package.

 -- Jo Shields <directhex@apebox.org>  Tue, 05 Jul 2011 23:55:04 +0100

ikvm (0.40.0.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fix Vcs-* fields
    + Bump to standards version 3.8.1
  * debian/IKVM.OpenJDK.ClassLibrary.dll.config:
    + Renamed to IKVM.OpenJDK.Core.dll.config
  * debian/ikvm.pc.in:
    + Pull in the whole family of OpenJDK references, since the ClassLibrary
      assembly has been split into pieces, but those pieces all interdepend
  * debian/rules:
    + Ensure CLI policy folder is actually used for get-orig-source
    + Stop deleting JniInterface.cs
    + Build refemit before ikvmc
    + Add new libraries to messy bootstrapping procedure
    + Update API/ABI version
  * debian/ikvm.installcligac:
    + Update list of assemblies
  * debian/patches/01-use_system_SharpZipLib.patch,
    debian/patches/03-use_mono.snk_for_ikvm-key.patch,
    debian/patches/04-decouple_arch_build_from_indep.patch:
    + Update for new release
  * debian/patches/02-use_ikvm-key_for_openJDKConfiguration.patch,
    debian/patches/00-use_ikvm-key_for_JniInterface.patch:
    + Removed, fixed upstream
  * debian/patches/05-produce-rmi-at-compile-time.patch:
    + Patch from upstream to drop the .class files bundled in their
      OpenJDK source release - huge thanks to Jeroen Frijters for sorting
      this out

 -- Jo Shields <directhex@apebox.org>  Thu, 11 Jun 2009 09:17:15 +0100

ikvm (0.38.0.2+dfsg-2) unstable; urgency=low

  [ Mirco Bauer ]
  * Upload to unstable.

  [ Iain Lane ]
  * Parse the version number from the changelog instead of using uscan -
    buildds do not have internet access.
  * Call dh_prep instead of dh_clean -k (lintian) 

 -- Iain Lane <laney@ubuntu.com>  Mon, 12 Jan 2009 19:49:40 +0000

ikvm (0.38.0.2+dfsg-1) experimental; urgency=low

  [ Jo Shields ]
  * Package adopted by Debian CLI Libraries Team. (Closes: #466336)
  * New upstream release, based on GNU Classpath 0.95 and OpenJDK 6b12
  * Repackaged - uses completely generated .orig, see README.source
  * Updated build-deps for the Mono 2.0 transition.
  * Group Policy:
    + get-orig-source target in debian/rules
  * Signed using Mono key - it causes an ABI breakage for now, but it's an
    improvement on the randomly generated keys used previously, as it means
    ABI breakage is no longer guaranteed between compiles. (Closes: #484125)
  * Use correct path in ikvm.pc file. (Closes: #504529)
  * Ensure that Configuration.java uses the ikvm-key configured for the build,
    not a hard-coded value. (Closes: #337414)

  [ David Paleino ]
  * debian/compat bumped to 7

  [ Mirco Bauer ]
  * debian/control:
    + Added Homepage, Vcs-Svn and Vcs-Browser fields.
    + Enhanced short and long package descriptions.
    + Changed Section from devel to interpreters, as this is mainly a runtime
      and not a development tool.
    + Bumped cli-common-dev build-dep to >= 0.5.7 as we need dh_clistrip and
      dh_clixfixperms of it.
  * debian/rules:
   + Fixed order of dh_* calls.
   + Added dh_clistrip and dh_clifixperms calls.

