=== debian/control ===
Source: ikvm
Section: interpreters
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Jo Shields <directhex@apebox.org>, Mirco Bauer <meebey@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 cli-common-dev (>= 0.5.7),
 nant (>= 0.85),
 libglib2.0-dev,
 devscripts,
 libwww-perl
Build-Depends-Indep: mono-devel (>= 2.6.7),
 openjdk-6-jdk,
 tofrodos
Standards-Version: 3.9.2
Homepage: http://www.ikvm.net/
Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/ikvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/ikvm.git

Package: ikvm
Architecture: all
Depends: ${cli:Depends}, java-common, libikvm-native (>= ${source:Version}), libikvm-native (<< ${source:Version}.1~)
Description: Java virtual machine for the CLI
 IKVM.NET is a free implementation of Java for the Common Language
 Infrastructure (CLI) like Mono and the Microsoft .NET Framework.
 .
 There are two main ways of using IKVM.NET:
  - Dynamically:
    In this mode, Java classes and jars are used directly to execute Java
    applications on the CLI runtime.
    Java bytecode is translated on the fly into Common Intermediate Language
    (CIL) by running on the IKVM.NET runtime.
    The full Java class loader model is supported in this mode.
  - Statically:
    In order to allow Java code to be used by CLI applications, it must be
    compiled down to an assembly and used directly.
    The Java bytecode is translated to CIL and is stored in this form. The
    assemblies can be referenced and used directly by the CLI applications
    by only using the CLI runtime.
    While the static mode does not support the full Java class loader
    mechanism, it is possible for statically compiled code to create a class
    loader and load classes dynamically.

Package: libikvm-native
Architecture: any
Depends: ${shlibs:Depends}
Description: native library for IKVM.NET
 This package contains the native-compiled support library for IKVM.NET.
