## ikvm 7.0.4335.0+ds

=== debian/changelog ===
ikvm (7.0.4335.0+ds-1) unstable; urgency=low

  * [753c2d1] Tweak get-orig-source rule to handle new taball locations
  * [d62de02] Imported Upstream version 7.0.4335.0+ds
  * [4a55d7a] Refreshed debian/patches/01-use_system_SharpZipLib.patch
  * [8b01a7d] Refreshed debian/patches/03-use_mono.snk_for_ikvm-key.patch
  * [bb28a50] Refresh path for native library in debian/libikvm-native.install
  * [90e98db] Build-depend on OpenJDK 7, not 6, for this IKVM release.
  * [b68c6b3] Build fails due to stray non-Unicode character in one file. 
    Remove it.
  * [300b38f] Don't delete charsets.jar or localedata.jar in clean, we need 
    these ones
  * [a5a662e] Re-add uscan rule which was disabled for debugging
  * [02223cf] Fix location of IKVM in debian/ikvm.install
  * [983874e] Add new Windows-only modulerefs to ignore
  * [ad13aac] Bump DEB_CLI_API_VERSION

 -- Jo Shields <directhex@apebox.org>  Tue, 07 Feb 2012 18:28:05 +0000
