=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_CLI_API_VERSION = 0.46.0.1
+JAVATARBALL=http://downloads.sourceforge.net/project/ikvm/ikvm/7.0.4335.0/openjdk7-b147-stripped.zip
+DEB_CLI_API_VERSION = 7.0.4335.0
 DEB_CLI_RUNTIME = cli
 UPVERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed -n 's/^Version: \([.0-9]*\).*/\1/p')
 CFLAGS = -Wall -g
@@ -54,6 +55,7 @@
 	find . -name "*.class" -exec rm {} \;
 	find . -name "*.jar" \! -name local_policy.jar \
                 \! -name US_export_policy.jar \! -name resources.jar \
+		\! -name charsets.jar \! -name localedata.jar \
 		-exec rm {} \;
 
 	rm -f	ikvm-*/runtime/JniAssemblyInfo.cs \
@@ -70,7 +72,9 @@
 	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)
 
 override_dh_clideps:
-	dh_clideps --exclude-moduleref=fusion --exclude-moduleref=winspool.drv
+	dh_clideps --exclude-moduleref=fusion --exclude-moduleref=winspool.drv \
+		--exclude-moduleref=secur32.dll --exclude-moduleref=ikvm-native-win32-x86 \
+		--exclude-moduleref=ikvm-native-win32-x64
 
 get-orig-source:
 	uscan \
@@ -80,10 +84,8 @@
 	mkdir ikvm-$(UPVERSION)+ds
 	unzip ikvmsrc-$(UPVERSION).zip -d ikvm-$(UPVERSION)+ds
 	dos2unix ikvm-$(UPVERSION)+ds/ikvm-$(UPVERSION)/HOWTO
-	for I in `grep http ikvm-$(UPVERSION)+ds/ikvm-$(UPVERSION)/HOWTO | grep openjdk`; do \
-		wget $$I; \
-		unzip `basename $$I` -d ikvm-$(UPVERSION)+ds; \
-	done
+	wget $(JAVATARBALL);
+	unzip `basename $(JAVATARBALL)` -d ikvm-$(UPVERSION)+ds;
 	rm *.zip
 	rm -f ikvm-$(UPVERSION)+ds/ikvm-*/runtime/JniAssemblyInfo.cs \
 		ikvm-$(UPVERSION)+ds/ikvm-*/runtime/AssemblyInfo.cs \
