## ikvm 7.2.4630.5+ds

=== debian/changelog ===
ikvm (7.2.4630.5+ds-1) unstable; urgency=low

  * [4ed30ed] Imported Upstream version 7.2.4630.5+ds
  * [985e638] Bump DEB_CLI_API_VERSION
  * [0cf77da] Bump JAVATARBALL
  * [25ec57f] Refreshed debian/patches/01-use_system_SharpZipLib.patch
  * [456126d] Refreshed debian/patches/03-use_mono.snk_for_ikvm-key.patch
  * [175a2ec] Remove debian/patches/unicode_on_windows_is_crap.patch, 
    obsolete upstream.
  * [c3e444b] Refresh install files.

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Oct 2013 15:51:47 +0200
