=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  devscripts,
  libwww-perl
 Build-Depends-Indep: mono-devel (>= 2.6.7),
- openjdk-6-jdk,
+ openjdk-7-jdk,
  tofrodos
 Standards-Version: 3.9.2
 Homepage: http://www.ikvm.net/
