=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-JAVATARBALL=http://downloads.sourceforge.net/project/ikvm/ikvm/7.0.4335.0/openjdk7-b147-stripped.zip
-DEB_CLI_API_VERSION = 7.0.4335.0
+JAVATARBALL=http://downloads.sourceforge.net/project/ikvm/ikvm/7.2.4630.5/openjdk-7u6-b24-stripped.zip
+DEB_CLI_API_VERSION = 7.2.4630.5
 DEB_CLI_RUNTIME = cli
 UPVERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed -n 's/^Version: \([.0-9]*\).*/\1/p')
 CFLAGS = -Wall -g
