=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
  http://sf.net/ikvm/ikvmsrc-(.+)\.zip
