## ikvm 8.1.5717.0+ds

=== debian/changelog ===
ikvm (8.1.5717.0+ds-1) unstable; urgency=medium

  * [a948bb2] Update so get-orig-source gets the right version
  * [3ca6eb0] Imported Upstream version 8.1.5717.0+ds
  * [50bdfab] Refreshed debian/patches/01-use_system_SharpZipLib.patch
  * [8915f6f] Refreshed debian/patches/03-use_mono.snk_for_ikvm-key.patch
  * [8a757b6] Removed d/p/force_4.0_Mono.CompilerServices.SymbolWriter
  * [84a8679] Fix build-deps (Closes: #814164)
  * [6925689] Fix install locations
  * [b4a395f] Fix upstream Linux build bugs
  * [8fcea15] Patch implib.exe to support SNK from files, not Crypto Store
  * [297fbed] Add new assemblies to GAC and pkg-config
  * [49c4e64] Override JSON license lintian check. The quoted license doesn't
    apply to any files in the tree.

 -- Jo Shields <jo.shields@xamarin.com>  Fri, 19 Feb 2016 14:40:20 +0000

ikvm (7.2.4630.5+ds-2) unstable; urgency=medium

  * [73b5da0] Force inclusion of 4.0 version of Mono.CompilerServices.SymbolWriter

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 11 Nov 2015 13:14:08 +0000
