=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  libglib2.0-dev,
  devscripts,
  libwww-perl
-Build-Depends-Indep: mono-devel (>= 2.6.7),
- openjdk-7-jdk,
+Build-Depends-Indep: mono-devel (>= 4.0),
+ openjdk-8-jdk,
  tofrodos
 Standards-Version: 3.9.2
 Homepage: http://www.ikvm.net/
