=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-JAVATARBALL=http://downloads.sourceforge.net/project/ikvm/ikvm/7.2.4630.5/openjdk-7u6-b24-stripped.zip
-DEB_CLI_API_VERSION = 7.2.4630.5
+JAVATARBALL=http://www.frijters.net/openjdk-8u45-b14-stripped.zip
+DEB_CLI_API_VERSION = 8.1.5717.0
 DEB_CLI_RUNTIME = cli
 UPVERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed -n 's/^Version: \([.0-9]*\).*/\1/p')
 CFLAGS = -Wall -g
