=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
  http://www.frijters.net/ikvmsrc-(.+)\.zip
